baseURL: https://eth.jirayuruh.ch 
languageCode: de
title: Jirayus ETH Website
theme: hextra
enableInlineShortcodes: true

defaultContentLanguage: de

markup:
  # allow raw html
  goldmark:
    renderer:
      unsafe: true
    extensions:
      passthrough:
        delimiters:
          block: [['\[', '\]'], ['$$', '$$']]
          inline: [['\(', '\)']]
        enable: true
  # enable hextra syntax highlight
  highlight:
    noClasses: false

menu:
  main:
    - name: Search
      weight: 1
      params:
        type: search
    - name: Discord
      weight: 2
      url: "https://discordapp.com/users/451962791713046548"
      params:
        icon: discord
    - name: WhatsApp
      weight: 3
      url: "https://wa.me/41798370497?text=Ich%20habe%20ein%20Fehler%20gefunden!%0AIch%20habe%20eine%20Frage!"
      params:
        icon: whatsapp
    - name: Mail
      weight: 4
      url: "mailto:jirruh@ethz.ch"
      params:
        icon: mail
    - name: Moodle
      weight: 5
      url: "https://moodle-app2.let.ethz.ch/message/index.php?id=138092"
      params:
        icon: academic-cap

params:
  description: Jirayus ETH Website

  navbar:
    displayTitle: true
    displayLogo: true
    logo:
      path: images/wiki-logo.svg
      dark: images/wiki-logo-dark.svg
      width: 40
      height: 20

  theme:
    default: dark
    displayToggle: false

  footer:
    enable: true
    displayPoweredBy: true
    displayCopyright: true

  displayUpdatedDate: true
  dateFormat: "2. January 2006"

outputs:
  home: [HTML]
  page: [HTML]
  section: [HTML, RSS]
